Bug 814848 - cannot connect with USB GSM modem
cannot connect with USB GSM modem
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 16:12 EDT by Nerijus Baliūnas
Modified: 2012-05-31 11:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 11:09:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2012-04-20 16:12:39 EDT
When I try to connect (it worked on F16), I get:

pppd[1800]: pppd 2.4.5 started by root, uid 0
pppd[1800]: Can't create lock file /var/lock/ppp/LCK..ttyUSB0: Permission denied
NetworkManager[353]: Can't create lock file /var/lock/ppp/LCK..ttyUSB0: Permission denied
NetworkManager[353]: <info> Activation (ttyUSB0) Stage 4 of 5 (IPv4 Configure Timeout) scheduled...
NetworkManager[353]: <info> Activation (ttyUSB0) Stage 4 of 5 (IPv4 Configure Timeout) started...
pppd[1800]: Exit.
Comment 1 Nerijus Baliūnas 2012-04-20 16:40:06 EDT
I created /var/lock/ppp directory manually, but then I got:

setroubleshoot: SELinux is preventing pppd from read access on the lnk_file /var/lock. For complete SELinux messages. run sealert -l c123dce7-4bfd-474b-aa67-3af33523b603

I ran restorecon -R -v /var/lock:

restorecon reset /var/lock context system_u:object_r:file_t:s0->system_u:object_r:var_lock_t:s0

restorecon reset /run/lock/ppp context unconfined_u:object_r:var_lock_t:s0->unconfined_u:object_r:pppd_lock_t:s0

and then I was able to connect.

# ls -ld /var/lock
lrwxrwxrwx. 1 root root 11 2012-04-18 01:33 /var/lock -> ../run/lock
Comment 2 wbsecflive 2012-05-31 09:57:05 EDT
On March 28, I updated my computer running F16. I know I was able to use my 3g wireless card and this bug wasn't present. On May 17, I updated my computer again with the latest updates. After this update is when I noticed this bug to appear.
Comment 3 Nerijus Baliūnas 2012-05-31 11:09:06 EDT
It works now on F17.

Note You need to log in before you can comment on or make changes to this bug.